Known Issue on Adobe Photoshop CC 2014.1 & CC 2014.2 on Mac

Adobe Photoshop CC 2014 for Mac has a compatibility issue with Geographic Imager due to a bug that Adobe introduced in July 2014 with the 2014.1 release (and still present in the 2014.2 and newer releases). The issue is a crash when Adobe Photoshop is shutdown, which only occurs with these specific versions — not with Adobe Photoshop CC or the original release version of Adobe Photoshop CC 2014 (2014.0).

This issue does not affect the core functionality of Geographic Imager and all tools and features can be used without loss of data. Documents and other work-in-progress will save properly.

Adobe Photoshop CC 2014 for Windows is not affected.

 

Workaround

We recommend updating to Adobe Photoshop CC 2015 (or later) for Mac which is fully compatible with Geographic Imager. Geographic Imager 5.0 is also fully compatible with Adobe Photoshop CC 2015.

If updating to Adobe Photoshop CC 2015 is not possible, we recommend using Adobe Photoshop CC 2014 (2014.0) for Mac which is fully compatible and refrain from updating to Adobe Photoshop CC 2014 (2014.1.0, 2014.2 or 2014.2.1).

If Adobe Photoshop CC 2014 (2014.1, 2014.2, 2014.2.1 or 2014.2.2) must be used, note that all tools and features can be used without loss of data. The crash on Adobe Photoshop shutdown can be ignored as it will not affect the images you were working on or affect Adobe Photoshop preferences.